> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Provider Profile Image

> Upload or remove a profile image for a provider.
Pass no file or empty file to remove the profile image.



## OpenAPI

````yaml post /admin/providers/{provider_id}/profile-image
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /admin/providers/{provider_id}/profile-image:
    post:
      tags:
        - provider
        - admin
      summary: Upload Provider Profile Image
      description: |-
        Upload or remove a profile image for a provider.
        Pass no file or empty file to remove the profile image.
      operationId: >-
        upload_provider_profile_image_admin_providers__provider_id__profile_image_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: provider_id
          in: path
          required: true
          schema:
            type: string
            title: Provider Id
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_upload_provider_profile_image_admin_providers__provider_id__profile_image_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: string
                title: >-
                  Response Upload Provider Profile Image Admin Providers 
                  Provider Id  Profile Image Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_upload_provider_profile_image_admin_providers__provider_id__profile_image_post:
      properties:
        file:
          type: string
          format: binary
          title: File
      type: object
      title: >-
        Body_upload_provider_profile_image_admin_providers__provider_id__profile_image_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````